{{- $pctx := . -}}
{{- if .IsHome -}}{{ $pctx = .Site }}{{- end -}}
{{- $pages := slice -}}
{{- if or $.IsHome $.IsSection -}}
{{- $pages = $pctx.RegularPages -}}
{{- else -}}
{{- $pages = $pctx.Pages -}}
{{- end -}}
{{- $limit := .Site.Config.Services.RSS.Limit -}}
{{- if ge $limit 1 -}}
{{- $pages = $pages | first $limit -}}
{{- end -}}
{{ $pages = $pages.ByLastmod.Reverse }}
{{- printf "<?xml version=\"1.0\" encoding=\"utf-8\" standalone=\"yes\"?>" | safeHTML }}
<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom">
  <channel>
    <title>{{ .Site.Title }}</title>
    <link>{{ .Permalink }}</link>
    <description>Aktuelles von {{ .Site.Title }}</description>
    <generator>Hugo -- gohugo.io</generator>{{ with .Site.LanguageCode }}
    <language>{{.}}</language>{{end}}{{ with .Site.Author.email }}
    <managingEditor>{{.}}{{ with $.Site.Author.name }} ({{.}}){{end}}</managingEditor>{{end}}{{ with .Site.Author.email }}
    <webMaster>{{.}}{{ with $.Site.Author.name }} ({{.}}){{end}}</webMaster>{{end}}{{ with .Site.Copyright }}
    <copyright>{{.}}</copyright>{{end}}{{ if not .Date.IsZero }}
    <lastBuildDate>{{ .Date.Format "Mon, 02 Jan 2006 15:04:05 -0700" | safeHTML }}</lastBuildDate>{{ end }}
    {{- with .OutputFormats.Get "RSS" -}}
    {{ printf "<atom:link href=%q rel=\"self\" type=%q />" .Permalink .MediaType | safeHTML }}
    {{- end -}}
    {{ range where $pages "Type" "in" .Site.Params.searchSections }}
    {{ $when := .Params.when }}
    {{ $about := .Params.about }}
    {{ $covid := .Params.covid }} 
    {{ $contact := .Params.contact }} 
    {{ $price := .Params.price }} 
    {{ $featured := .Params.featured }} 
    {{ $categories := slice }}
    {{ range .Params.categories }}
      {{ $categories = $categories | append . }}
    {{ end }}
    {{ $events := slice }}
    {{ range .Params.events }}
      {{ $events = $events | append . }}
    {{ end }}
    {{ $tags := slice }}
    {{ range .Params.tags }}
      {{ $tags = $tags | append . }}
    {{ end }}
    {{ $images := slice }}
    {{ range .Resources.ByType "image" }}
      {{ $images = $images | append . }}
    {{ end }}
    {{ $hash := slice $when $about $categories $events $covid $contact $price $featured $tags .Date .Lastmod .Title .Content }}
    {{ $hash = delimit $hash ", " }}
    {{ $hash = md5 $hash }}
    
    <item>
      <title>{{ .Title }}</title>
      <link>{{ .Permalink }}</link>
      <pubDate>{{ .Lastmod.Format "Mon, 02 Jan 2006 15:04:05 -0700" | safeHTML }}</pubDate>
      {{ with .Site.Author.email }}<author>{{.}}{{ with $.Site.Author.name }} ({{.}}){{end}}</author>{{end}}
      <guid>{{ .Permalink }}-{{ $hash }}</guid>
      <description>
        {{- $c := replace .Content "<img" "<img width=\"600\"" -}}
        {{- if $when -}}
          {{- $c = printf "<p><b>%s</b></p>%s" $when $c -}}
        {{- end -}}
        {{- $img := index (.Resources.ByType "image") 0 -}}
        {{- with $img -}}
          {{- $img := .Resize "640x" -}}
          {{- $c = printf "%s<img src=\"%s\" width=\"%d\" height=\"%d\" />" $c $img.Permalink $img.Width $img.Height -}}
        {{- end -}}
        {{- printf "<![CDATA[%s]]>" $c | safeHTML -}}
      </description>

    </item>
    {{ end }}
  </channel>
</rss>
